--- libpq-connect.html	2021-02-26 18:31:27.000000000 +0100
+++ libpq-connect.html	2021-02-26 18:43:31.000000000 +0100
@@ -523,7 +523,13 @@
       </div>
       <p>The general form for a connection <acronym class="acronym">URI</acronym> is:</p>
       <pre class="synopsis">
-postgresql://[user[:password]@][host][:port][,...][/dbname][?param1=value1&amp;...]
+postgresql://[userspec@][hostspec][/dbname][?paramspec]
+</pre>
+<p>where</p>
+      <pre class="programlisting">
+userspec := user[:password]
+hostspec := ([host][:port])[,...]
+paramspec := name=value[&...]
 </pre>
       <p>The <acronym class="acronym">URI</acronym> scheme designator can be either <code class="literal">postgresql://</code> or <code class="literal">postgres://</code>. Each of the remaining <acronym class="acronym">URI</acronym> parts is optional. The following examples illustrate valid <acronym class="acronym">URI</acronym> syntax:</p>
       <pre class="programlisting">
